﻿Shader "Unlit/CustomBlit"
{
       Properties
       {
       }
       SubShader
       {
              Tags { "RenderType"="Opaque" }
              Cull Off
              ZWrite Off
              ZTest Always
              Pass
              {
                     CGPROGRAM
                     #pragma vertex vert
                     #pragma fragment frag
                      
                     #include "UnityCG.cginc"
                     struct appdata
                     {
                           float4 vertex : POSITION;
                     } ;
                     struct v2f
                     {
                           float4 vertex : SV_POSITION;
                     } ;
                     v2f vert (appdata v)
                     {
                           v2f o;
                           o.vertex = v.vertex;
                           return o;
                     }
                     struct f2s
                     {
                           fixed4 color0 : COLOR0;
                           fixed4 color1 : COLOR1;
                     } ;
                     f2s frag (v2f i)
                     {
                           f2s o;
                           o.color0 = fixed4(1,0,0,1);
                           o.color1 = fixed4(0,1,0,1);
                           return o;
                     }
                     ENDCG
              }
       }
}